aboutsummaryrefslogtreecommitdiffstats
path: root/eazel-engine/check-data.sh
diff options
context:
space:
mode:
Diffstat (limited to 'eazel-engine/check-data.sh')
-rwxr-xr-xeazel-engine/check-data.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/eazel-engine/check-data.sh b/eazel-engine/check-data.sh
new file mode 100755
index 0000000..74637d9
--- /dev/null
+++ b/eazel-engine/check-data.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+# script to check that all image files are listed in the correct
+# Makefile.am
+
+images=`grep \.png gtkrc.in | sed -e 's/^.*image *= *"\(.*\)".*$/\1/'`
+
+missing=no
+
+for f in $images; do
+ fgrep $f data/Makefile.am >/dev/null \
+ || { missing=yes; echo "data/Makefile.am is missing $f"; }
+done
+
+if [ $missing != no ]; then
+ exit 1
+else
+ exit 0
+fi